// -*- c-basic-offset: 4 -*-
/** @file CPFineTuneFrame.h
 *
 *  @author Pablo d'Angelo <pablo.dangelo@web.de>
 *
 *  $Id: CPFineTuneFrame.h,v 1.1 2004/09/08 22:02:49 dangelo Exp $
 *
 *  This is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef _CPFINETUNEFRAME_H
#define _CPFINETUNEFRAME_H

#include "hugin/CPZoomDisplayPanel.h"

/** brief description.
 *
 *  What this does
 */
class CPFineTuneFrame : public wxFrame
{
public:

    /** ctor.
     */
    CPFineTuneFrame(wxWindow * frame, PT::Panorama & pano);

    /** dtor.
     */
    virtual ~CPFineTuneFrame();
    
    CPZoomDisplayPanel * GetLeftImg()
        {
            return m_leftImg;
        }
    
    CPZoomDisplayPanel * GetRightImg()
        {
            return m_rightImg;
        }

private:

    CPZoomDisplayPanel * m_leftImg;
    CPZoomDisplayPanel * m_rightImg;
    
    DECLARE_EVENT_TABLE();
};



#endif // _CPFINETUNEFRAME_H
